summaryrefslogtreecommitdiffstats
path: root/tests/monitor/run-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/monitor/run-tests.sh')
-rwxr-xr-xtests/monitor/run-tests.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/tests/monitor/run-tests.sh b/tests/monitor/run-tests.sh
index de194624..9fd0e504 100755
--- a/tests/monitor/run-tests.sh
+++ b/tests/monitor/run-tests.sh
@@ -2,17 +2,18 @@
cd $(dirname $0)
+nft=../../src/nft
+mydiff() {
+ diff -w -I '^# ' "$@"
+}
+
testdir=$(mktemp -d)
if [ ! -d $testdir ]; then
echo "Failed to create test directory" >&2
exit 0
fi
-trap "rm -rf $testdir" EXIT
+trap "rm -rf $testdir; $nft flush ruleset" EXIT
-nft=../../src/nft
-mydiff() {
- diff -w -I '^# ' "$@"
-}
command_file=$(mktemp -p $testdir)
output_file=$(mktemp -p $testdir)